package mapped;

import java.io.File;
import java.util.ArrayList;
import java.util.Hashtable;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSFileSystem;

@ObfuscatedName("im")
public class FileSystem implements RSFileSystem {
   @ObfuscatedName("at")
   static boolean FileSystem_hasPermissions;
   @ObfuscatedName("ah")
   static File FileSystem_cacheDir;
   @ObfuscatedName("ar")
   static Hashtable FileSystem_cacheFiles;

   static {
      FileSystem_hasPermissions = false;
      FileSystem_cacheFiles = new Hashtable(16);
   }

   @ObfuscatedName("is")
   @ObfuscatedSignature(
      descriptor = "(IIB)V",
      garbageValue = "-18"
   )
   static void playJingle_base(int var0, int var1) {
      if(WorldMapIcon_1.clientPreferences.method2554_base() != 0 && var0 != -1) {
         ArrayList var2 = new ArrayList();
         var2.add(new MusicSong(PcmPlayer.field281, var0, 0, WorldMapIcon_1.clientPreferences.method2554_base(), false));
         PendingSpawn.method2459_base(var2, 0, 0, 0, 0, true);
         Client.playingJingle = true;
      }

   }

   @ObfuscatedName("jq")
   @ObfuscatedSignature(
      descriptor = "(I)Lon;",
      garbageValue = "-187710170"
   )
   public static NodeDeque method4225() {
      return Client.scriptEvents;
   }
}
